#ifndef __colorfulclientuser_h
#define __colorfulclientuser_h

class ColorfulClientUser : public ClientUser
{

public:
	ColorfulClientUser(const StrPtr* colors)
	{
		if (colors->Length() == 3)
		{
			infoColor = getColor(colors->Text()[0]);
			warnColor = getColor(colors->Text()[1]);
			erroColor = getColor(colors->Text()[2]);
		}
	}
	void Message(Error *err);

private:
	void printText(WORD color, const char* text);
	WORD getColor(char colorCharacter);


	WORD infoColor;
	WORD warnColor;
	WORD erroColor;
};

#endif